﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface IMessageService
    {
        Task<ServiceResult<List<ForumPreviewDto>>> GetForums(int courseId);

        Task<ServiceResult<Forum>> Create(ForumCreateDto newForum);

        Task<ServiceResult<Forum>> Delete(int forumId);

        Task<ServiceResult<>>

        List<Message> Get();
        Message Get(string id);
        Message Create(Message message);
        void Update(string id, Message messageIn);
        void Remove(Message messageIn);
        void Remove(string id);
    }
}
